---
features:
  secondary:
  - name: "Static Analysis analyzer updates"
    available_in: [core, premium, ultimate]
    documentation_link: 'https://docs.gitlab.com/ee/user/application_security/sast/analyzers'
    reporter: tmccaslin
    stage: application_security_testing
    categories:
    - SAST
    - Secret Detection
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/335783'
    description: |
        GitLab Static Analysis is comprised of a [set of many security analyzers](https://docs.gitlab.com/ee/user/application_security/sast/#supported-languages-and-frameworks) that the GitLab Static Analysis team actively manages, maintains, and updates. Below are the analyzer updates released during 14.1. These updates bring additional coverage, bug fixes, and improvements.

        - Flawfinder updated to version 2.0.18 - [MR](https://gitlab.com/gitlab-org/security-products/analyzers/flawfinder/-/merge_requests/62/), [Changelog](https://gitlab.com/gitlab-org/security-products/analyzers/flawfinder/-/blob/master/CHANGELOG.md#v2142).
        - Gosec updated to version 2.8.1 - [MR](https://gitlab.com/gitlab-org/security-products/analyzers/gosec/-/merge_requests/119), [Changelog](https://gitlab.com/gitlab-org/security-products/analyzers/gosec/-/blob/5dcc1a4775a8f3b2f12af59ce9d9977eeb4aab4f/CHANGELOG.md#v311).
        - Semgrep updated to version 0.57.0 - [MR](https://gitlab.com/gitlab-org/security-products/analyzers/semgrep/-/merge_requests/67/diffs), [Changelog](https://gitlab.com/gitlab-org/security-products/analyzers/semgrep/-/blob/main/CHANGELOG.md):
          - Set a timeout of 10s per file.
          - Fixed bugs in detection patterns.
          - New detection patterns.
        - MobSF updated to version 2.13.0 - [MR](https://gitlab.com/gitlab-org/security-products/analyzers/mobsf/-/merge_requests/34), [Changelog](https://gitlab.com/gitlab-org/security-products/analyzers/mobsf/-/blob/master/CHANGELOG.md#v2130):
          - Removes support for Python 3.8 to mitigate security issue.

        If you are [including the GitLab managed vendored SAST template](https://docs.gitlab.com/ee/user/application_security/sast/#configure-sast-in-your-cicd-yaml) ([SAST.gitlab-ci.yml](https://gitlab.com/gitlab-org/gitlab/blob/master/lib/gitlab/ci/templates/Security/SAST.gitlab-ci.yml)) you do not need to do anything to receive these updates. However, if you override or customize your own CI/CD template, you will need to update your CI/CD configurations. If you want to remain on a specific version of any analyzer, you can now [pin to a minor version of an analyzer](https://docs.gitlab.com/ee/user/application_security/sast/#pinning-to-minor-image-version). Pinning to a previous version will prevent you from receiving automatic analyzer updates and require you to manually bump your analyzer version in your CI/CD template.
